diff --git a/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardPlainProjectTest.java b/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardPlainProjectTest.java
index 5cb48a1..0dd07c3 100644
--- a/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardPlainProjectTest.java
+++ b/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardPlainProjectTest.java
@@ -70,8 +70,9 @@ public class WizardPlainProjectTest {
 		testMainProject.create(externalFile, LocalProjectType.PLAIN);
 
 		// Make sure the original .spec file got copied into the workspace
-		IFile featureFile = baseProject.getFile(new Path("helloworld.spec"));
-		assertTrue(featureFile.exists());
+		IFile specFile = baseProject.getFile(new Path("helloworld.spec"));
+		assertTrue(specFile.exists());
+		
 	}
 
 	@After
diff --git a/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardSRPMProjectTest.java b/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardSRPMProjectTest.java
index e866420..2ddad0e 100644
--- a/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardSRPMProjectTest.java
+++ b/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardSRPMProjectTest.java
@@ -14,7 +14,9 @@ import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
 
 import java.io.File;
+import java.io.InputStream;
 import java.net.URL;
+import java.util.Scanner;
 
 import org.eclipse.core.resources.IFile;
 import org.eclipse.core.resources.IProject;
@@ -68,7 +70,7 @@ public class WizardSRPMProjectTest {
 	}
 
 	@Test
-	public void testPopulateSrpm() throws Exception {
+	public void testPopulateSrpm() throws Exception {		
 		// poulate project using imported SRPM
 		testMainProject.create(externalFile, LocalProjectType.SRPM);
 
@@ -86,8 +88,25 @@ public class WizardSRPMProjectTest {
 		assertTrue(srpm.exists());
 
 		// Make sure everything got installed properly
-		IFile spec = baseProject.getFile(new Path("helloworld.spec"));
-		assertTrue(spec.exists());
+		IFile specFile = baseProject.getFile(new Path("helloworld.spec"));
+		assertTrue(specFile.exists());
+
+		// Check if the generated .spec file contains the correct information
+		boolean packageNameOK = false;
+		if (specFile.exists()) {
+			InputStream is = specFile.getContents();
+			String line = null;
+			Scanner scan = new Scanner(is);
+			while(scan.hasNext() && !packageNameOK) {
+				line = scan.nextLine();
+				if (line.contains("Name: helloworld")) {
+					packageNameOK = true;
+				}
+			}
+			scan.close();
+		} 
+		assertTrue(packageNameOK);
+		
 		IFile sourceBall = baseProject.getFile(new Path("helloworld-2.tar.bz2"));
 		assertTrue(sourceBall.exists());
 	}
diff --git a/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardStubbyProjectTest.java b/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardStubbyProjectTest.java
index a58cbed..4b82c6b 100644
--- a/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardStubbyProjectTest.java
+++ b/org.fedoraproject.eclipse.packager.tests/src/org/fedoraproject/eclipse/packager/tests/local/WizardStubbyProjectTest.java
@@ -14,7 +14,9 @@ import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
 
 import java.io.File;
+import java.io.InputStream;
 import java.net.URL;
+import java.util.Scanner;
 
 import org.eclipse.core.resources.IFile;
 import org.eclipse.core.resources.IProject;
@@ -67,20 +69,35 @@ public class WizardStubbyProjectTest {
 	}
 
 	@Test
-	public void testPopulateStubby() throws Exception {
+	public void testPopulateStubby() throws Exception {		
 		// poulate project using imported feature.xml
 		testMainProject.create(InputType.ECLIPSE_FEATURE, externalFile);
 
-
 		// Make sure the original feature.xml got copied into the workspace
 		IFile featureFile = baseProject.getFile(new Path("feature.xml"));
 		assertTrue(featureFile.exists());
 
 		// Make sure the proper .spec file is generated
-		IFile spec = baseProject.getFile(new Path("eclipse-packager.spec"));
+		IFile specFile = baseProject.getFile(new Path("eclipse-packager.spec"));
 		IDE.openEditor(Activator.getDefault()
-				.getWorkbench().getActiveWorkbenchWindow().getActivePage(),	spec);
-		assertTrue(spec.exists());
+				.getWorkbench().getActiveWorkbenchWindow().getActivePage(),	specFile);		
+		assertTrue(specFile.exists());
+		
+		// Check if the generated .spec file contains the correct information
+		boolean packageNameOK = false;
+		if (specFile.exists()) {
+			InputStream is = specFile.getContents();
+			String line = null;
+			Scanner scan = new Scanner(is);
+			while(scan.hasNext() && !packageNameOK) {
+				line = scan.nextLine();
+				if (line.contains("Name:           eclipse-packager")) {
+					packageNameOK = true;
+				}
+			}
+			scan.close();
+		} 
+		assertTrue(packageNameOK);
 	}
 
 	@After
